Devices compatible with CirQ App

CirQ supports all Apple and Android devices.

For Apple devices Version 8.0 and above is a must. Just make sure to have the required version and start using CirQ mobile pos from your phone.

Whereas for Android devices API 16 and above is required. Just buy a mobile phone of any brand with the required feature, which is likely to be present in any new mobile. Thereafter you will be ready to use our CirQ mobile point of sale. Just download and install CirQ mobile pos app!